Bug 697842 - paraview bundles copy of VTK library
paraview bundles copy of VTK library
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
http://public.kitware.com/Bug/view.ph...
: Tracking
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2011-04-19 08:22 EDT by Dan Horák
Modified: 2016-01-26 11:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2011-04-19 08:22:27 EDT
If I see correctly paraview bundles copy of VTK library that exists a separate package.
Comment 1 Orion Poplawski 2011-04-19 10:21:21 EDT
Yeah, not sure how possible it will be to separate.  Kitware is the developer of both paraview and vtk and their development are intertwined, but paraview often depends on a very specific at possibly modified vtk.  I'll poke them about it though.
Comment 2 markusN 2012-09-29 03:59:56 EDT
There is an important fix needed, see bug 838228#10 which points to bug 744434:

Citation: "you have to compile VTK without -DVTK_OPENGL_HAS_OSMESA:BOOL=ON,
 but paraview was missed as it has it's own copy."
Comment 3 Orion Poplawski 2012-12-17 18:52:58 EST
I've dropped -DVTK_OPENGL_HAS_OSMESA:BOOL=ON for paraview 3.98.0.  We're closer to unbundling vtk, maybe next release.
Comment 4 Tyson Whitehead 2013-03-27 17:21:48 EDT
Any chance this could get fixed in the F17 paraview as well?  Thanks!
Comment 6 Tyson Whitehead 2013-03-29 14:44:05 EDT
Wow!  That was crazy quick.  Thanks again so very much!
Comment 7 Fedora End Of Life 2013-04-03 15:36:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 16:48:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Dominik 'Rathann' Mierzejewski 2015-08-06 19:03:21 EDT
The link to upstream bug report doesn't seem to be valid anymore.
Comment 10 Dennis Schridde 2016-01-26 11:32:28 EST
(In reply to Dominik 'Rathann' Mierzejewski from comment #9)
> The link to upstream bug report doesn't seem to be valid anymore.

The upstream bug was moved to: http://www.paraview.org/Bug/view.php?id=12106

Note You need to log in before you can comment on or make changes to this bug.